/*
============================================================================
 Name		: RDAccelerometer.h
 Author	  : Markus Khri
 Copyright   : Copyright Nokia
 Description : RDAccelerometer.h - CRDAccelerometer class header
============================================================================
*/

// This file defines the API for RDAccelerometer.dll

#ifndef __RDACCELEROMETER_H__
#define __RDACCELEROMETER_H__


//  Include Files

#include <e32base.h>	// CBase
#include "RDAccelerometerObserver.h"

//  Constants

// Forward Declarations
class CNSTAccelerometer;

//  Class Definitions

class CRDAccelerometer : public CBase
	{
	public:	 // new functions
		IMPORT_C static CRDAccelerometer* NewL(MRDAccelerometerObserver& aObserver);
		IMPORT_C static CRDAccelerometer* NewLC(MRDAccelerometerObserver& aObserver);
		IMPORT_C ~CRDAccelerometer();

	public:	 // new functions, example API
		IMPORT_C TVersion Version() const;

	private:	// new functions
		CRDAccelerometer(MRDAccelerometerObserver& aObserver);
		void ConstructL();

	private:	// data
		MRDAccelerometerObserver& iObserver;
		CNSTAccelerometer* iAccelerometer;
	};


#endif  // __RDACCELEROMETER_H__


